#
# spec file for package python-u-msgpack-python
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-u-msgpack-python
Version:        2.8.0
Release:        2.1
Summary:        A MessagePack serializer and deserializer
License:        MIT
URL:            https://github.com/vsergeev/u-msgpack-python
Source:         https://files.pythonhosted.org/packages/source/u/u-msgpack-python/u-msgpack-python-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
u-msgpack-python is a MessagePack serializer and
deserializer module written in pure Python, compatible with
Python 2, Python 3, in both the CPython and PyPy implementations of
Python. u-msgpack-python is fully compliant with the MessagePack
2017-09-17 specification. In particular, it supports the binary,
UTF-8 string, and application-defined extended types.

%prep
%setup -q -n u-msgpack-python-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
export LANG=en_US.UTF-8
%python_exec test_umsgpack.py

%files %{python_files}
%license LICENSE
%{python_sitelib}/umsgpack
%{python_sitelib}/u_msgpack_python-%{version}.dist-info

%changelog
* Thu Jun 12 2025 Steve Kowalik <steven.kowalik@suse.com>
- Switch to pyproject macros.
* Wed Dec 27 2023 Dirk Müller <dmueller@suse.com>
- update to 2.8.0:
  * Migrate module to package.
  * Migrate documentation to Sphinx.
  * Improve types and formatting in docstrings.
  * Add type stubs.
* Fri Apr 21 2023 Dirk Müller <dmueller@suse.com>
- add sle15_python_module_pythons (jsc#PED-68)
* Thu Apr 13 2023 Matej Cepl <mcepl@suse.com>
- Make calling of %%{sle15modernpython} optional.
* Sat Dec  3 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 2.7.2
  * Fix hex formatting of data bytes in Ext string representation.
* Tue Oct 11 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to Version 2.7.1 - 10/24/2020
  * Add Ext type value validation to Ext class and ext_serializable() decorator.
  * Change string formatting from %% to .format() throughout codebase.
* Thu Jul 23 2020 Marketa Calabkova <mcalabkova@suse.com>
- update to 2.6.0
  * Add `use_tuple` option to unpacking functions for unpacking MessagePack arrays into tuples.
  * Add `ext_serializable()` decorator for registration of application classes with Ext types for automatic packing and unpacking.
* Mon Oct 14 2019 Matej Cepl <mcepl@suse.com>
- Replace %%fdupes -s with plain %%fdupes; hardlinks are better.
* Tue Sep 10 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 2.5.2:
  * python 3.8 support
* Fri Apr 12 2019 Marketa Calabkova <mcalabkova@suse.com>
- update to version 2.5.1
  * Fix handling of naive/aware datetime objects when packing the
    timestamp extension type.
  * Add handling for short reads during file object unpacking.
  * Make Ext base class a new-style object for cleaner inheritance
    in Python 2.
  * Improve length comparisons and instance checks for minor
    performance improvement.
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Tue Apr  3 2018 jengelh@inai.de
- Ensure neutrality and time-agnosticness of description.
* Sun Apr  1 2018 arun@gmx.de
- remove u-msgpack-bigendian_broken.patch
- update to version 2.5.0:
  * Add support for the timestamp extension type.
  * Fix tests on big endian platforms
* Fri Mar 16 2018 ro@suse.de
- add u-msgpack-bigendian_broken.patch (bsc#1085666)
  pack_ext_handler/unpack_ext_handler are broken on bigendian,
  skip them in the testsuite for now
* Mon Nov 13 2017 arun@gmx.de
- update to version 2.4.1:
  * Fix module version tuple inconsistency.
- changes from version 2.4.0:
  * Add hash special method to Ext class.
  * Add packing option to force floating point precision.
  * Make codebase PEP 8 compliant.
  * Add support for tox automated testing and use it in CI.
* Fri Mar 31 2017 aloisio@gmx.com
- Converted to single-spec
- Added tests
* Sun Mar 12 2017 arun@gmx.de
- initial package
